<template>
  <v-container
    fill-height
    fluid
    grid-list-xl
  >
    <v-layout
      justify-center
      wrap
    >
      <v-flex
        md12
      >
        <material-card
          color="green"
          title="Chi tiêu trong tuần"
          text="Danh sách các chi tiêu trong tuần từ 05/10/2020 đến 09/10/2020"
        >
          <v-data-table
            :headers="header_chitieu"
            :items="chitieuList"
            hide-actions
          >
            <template
              slot="headerCell"
              slot-scope="{ header }"
            >
              <span
                class="subheading font-weight-light text-success text--darken-3"
                v-text="header.text"
              />
            </template>
            <template
              slot="items"
              slot-scope="{ item }"
            >
              <td>{{ item.id }}</td>
              <td>{{ item.noi_dung }}</td>
              <td>{{ item.so_tien }}</td>
              <td>{{ item.ghi_chu }}</td>
              <td class="text-xs-right">{{ item.danh_muc }}</td>
            </template>
          </v-data-table>
        </material-card>
      </v-flex>
      <v-flex
        md12
      >
        <material-card
          color="green"
          flat
          full-width
          title="Table on Plain Background"
          text="Here is a subtitle for this table"
        >
          <v-data-table
            :headers="headers"
            :items="bankList"
            hide-actions
          >
            <template
              slot="headerCell"
              slot-scope="{ header }"
            >
              <span
                class="subheading font-weight-light text--darken-3"
                v-text="header.text"
              />
            </template>
            <template
              slot="items"
              slot-scope="{ item }"
            >
              <td>{{ item.name }}</td>
              <td>{{ item.type }}</td>
              <td>{{ item.cardtype }}</td>
              <td class="text-xs-right">{{ item.type }}</td>
            </template>
          </v-data-table>
        </material-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
  import materialCard from '~/components/material/AppCard'
  // import { bankState } from "vuex";
  import axios from 'axios';

  export default {
    layout: 'dashboard',
    components: {
      materialCard
    },
    computed: {
      //   ...bankState("bank", {
      //     bankList: "bankList",
      // })
    },
    data () {
      return {
        bankList: [],
        chitieuList: [],
        header_chitieu: [
          {
            sortable: false,
            text: '#',
            value: 'name'
          },
          {
            sortable: false,
            text: 'Nội dung',
            value: 'name'
          },
          {
            sortable: false,
            text: 'Số tiền',
            value: 'country'
          },
          {
            sortable: false,
            text: 'Danh mục',
            value: 'city'
          },
          {
            sortable: false,
            text: 'Chi Chú',
            value: 'salary',
            align: 'right'
          }
        ],
        headers: [
          {
            sortable: false,
            text: 'Tên ngân hàng',
            value: 'name'
          },
          {
            sortable: false,
            text: 'Hình thức',
            value: 'country'
          },
          {
            sortable: false,
            text: 'Loại thẻ',
            value: 'city'
          },
          {
            sortable: false,
            text: 'Tổng đã chi',
            value: 'salary',
            align: 'right'
          }
        ],
        items: [
          {
            name: 'Dakota Rice',
            country: 'Niger',
            city: 'Oud-Tunrhout',
            salary: '$35,738'
          },
          {
            name: 'Minerva Hooper',
            country: 'Curaçao',
            city: 'Sinaai-Waas',
            salary: '$23,738'
          }, {
            name: 'Sage Rodriguez',
            country: 'Netherlands',
            city: 'Overland Park',
            salary: '$56,142'
          }, {
            name: 'Philip Chanley',
            country: 'Korea, South',
            city: 'Gloucester',
            salary: '$38,735'
          }, {
            name: 'Doris Greene',
            country: 'Malawi',
            city: 'Feldkirchen in Kārnten',
            salary: '$63,542'
          }, {
            name: 'Mason Porter',
            country: 'Chile',
            city: 'Gloucester',
            salary: '$78,615'
          }
        ]
    }
  }, //end data
    methods: {
      getBank(){
        const params = [];
        let self = this;
        // console.log("tst");
        // this.$store.dispatch('getBankList', params).then(() => {
        //   // alert(JSON.stringify(this.$store.getters.monitoringList));
        //   this.listData = this.$store.getters.bankList;
        //   // console.log(this.listData);
        // });
        axios
            .get('http://localhost:3000/api/banks')
            .then(function(response) {
                self.bankList = response.data.data;
                console.log(self.bankList);
            });

      },
      getChiTieu(){
        const params = [];
        let self = this;
        // console.log("tst");
        // this.$store.dispatch('getBankList', params).then(() => {
        //   // alert(JSON.stringify(this.$store.getters.monitoringList));
        //   this.listData = this.$store.getters.bankList;
        //   // console.log(this.listData);
        // });
        axios
            .get('http://localhost:3000/api/chitieus')
            .then(function(response) {
                self.chitieuList = response.data.data;
                console.log(self.chitieuList);
            });

      }
    },// end method
    created (){
      this.getBank();
      this.getChiTieu();
    },//end created
    
  } //End exxport defaul
</script>
